Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# include/FLAC/callback.h File Reference

This module defines the structures for describing I/O callbacks to the other FLAC interfaces. More...

`#include "ordinals.h"`
`#include <stdlib.h>`

Go to the source code of this file.

## Compounds

struct | FLAC__IOCallbacks

## Typedefs

typedef void * | FLAC__IOHandle
typedef size_t(* | FLAC__IOCallback_Read )(void *ptr, size_t size, size_t nmemb, FLAC__IOHandle handle)
typedef size_t(* | FLAC__IOCallback_Write )(const void *ptr, size_t size, size_t nmemb, FLAC__IOHandle handle)
typedef int(* | FLAC__IOCallback_Seek )(FLAC__IOHandle handle, FLAC__int64 offset, int whence)
typedef FLAC__int64(* | FLAC__IOCallback_Tell )(FLAC__IOHandle handle)
typedef int(* | FLAC__IOCallback_Eof )(FLAC__IOHandle handle)
typedef int(* | FLAC__IOCallback_Close )(FLAC__IOHandle handle)

## Detailed Description

This module defines the structures for describing I/O callbacks to the other FLAC interfaces.

See the detailed documentation for callbacks in the callbacks module.